; This file is part of Rob 'n' Banks.

; Rob 'n' Banks is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; Rob 'n' Banks is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with Rob 'n' Banks.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2022 Phaser Cat Games LLC

; Game data

; Title screen display list.
    org     $b000
title_screen_display_list
    .byte $70,$70,$70
    .byte $42,$00,$20,$82
    .byte $4e
    .word title_logo
    .byte $0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $0e,$0e,$0e,$0e,$0e
    .byte $f0,$42,$40,$21
    .byte $02,$02,$02,$02,$04
    .byte $04,$02,$02,$02,$02
    .byte $02,$02,$02,$02
    .byte $41
    .word title_screen_display_list

license_display_list
    .byte $70,$70,$70 ; Overscan.
    .byte $42
    .word gpl_text
    .byte $02,$02,$02,$02,$02
    .byte $02,$70,$02,$02,$02,$02
    .byte $02,$02,$70,$02,$02,$02
    .byte $02,$70,$02
    .byte $41
    .word license_display_list

; Partial display list for the car intro.
player_intro_display_list
    .byte   $70,$70,$70
    .byte   $70,$70,$70,$c2
    .word   $1100
    .byte   $70,$70,$70,$70,$70,$70
    .byte   $01
    .word   $400  ; Jump to the car display list at $400.

; Game display list.
game_display_list
    .byte   $70,$c4
    .word   $2000
    .byte   $70 ; Overscan
    .byte   $04,$04,$04,$04 ; 24 rows of mode 4.
    .byte   $04,$04,$04,$04,$04
    .byte   $04,$04,$04,$04,$04
    .byte   $04,$04,$04,$04,$04
    .byte   $04,$04,$04,$04,$04
    .byte   $41
    .word   game_display_list

; Game over screen display list.
game_over_display_list
    .byte   $70,$70,$70
    .byte   $70,$70,$70,$70,$70
    .byte   $47
    .word   $1100
    .byte   $41
    .word   game_over_display_list

; Phone intermission display list.
intermission_2_display_list
    .byte   $70,$70,$70
    .byte   $70,$70,$70,$70,$64
    .word   $3400
    .byte   $24,$24,$04,$70,$70
    .byte   $70,$f0,$70,$04,$04
    .byte   $44
    .word   $3438
    .byte   $44
    .word   $3460
    .byte   $41
    .word   intermission_2_display_list

; Hat intermission display list.
intermission_3_display_list
    .byte   $70,$f0,$70             ; Re-use the game DLI.
    .byte   $70,$70,$70,$70,$70
    .byte   $70,$70,$70
    .byte   $44
    .word   $3400
    .byte   $04,$41
    .word   intermission_3_display_list

; Title graphics patterns.
title_cash_pattern_1
    .byte   $d9,$da,0,0,0,0,$d9,$da,0,0,0,0,$d9,$da,0,0,0,0,$d9,$da
title_cash_pattern_2
    .byte   $db,$dc,0,0,0,0,$db,$dc,0,0,0,0,$db,$dc,0,0,0,0,$db,$dc
title_bonus_pattern_1
    .byte   $01,$02,0,$85,$86,0,$89,$8a,0,$8d,$8e,0,$91,$92,0
    .byte   $15,$16,0,$99,$9a,0,$9d,$9e,0,$21,$22,0,$a5,$a6
title_bonus_pattern_2
    .byte   $03,$04,0,$87,$88,0,$8b,$8c,0,$8f,$90,0,$93,$94,0
    .byte   $17,$18,0,$9b,$9c,0,$9f,$a0,0,$23,$24,0,$a7,$a8

; Map tile layout.  $2059 is the top left accessible tile.
map_layout
    .byte   00,00,03,03,03,03,03,00,00,03,03,03,03,03,03,03,03,03,03,03,03,03,03,03,03,00,00,00
    .byte   00,00,01,02,18,19,17,00,00,18,18,18,18,19,17,18,18,18,18,18,18,19,17,18,06,07,00,77
    .byte   00,03,26,36,38,34,36,38,38,38,38,38,38,34,36,38,38,38,38,38,38,34,36,38,34,25,03,00
    .byte   00,03,26,37,46,40,33,44,44,44,44,45,46,40,33,45,46,44,44,45,46,40,33,45,42,25,03,00
    .byte   00,03,26,37,42,$8,$9,10,10,10,11,33,40,12,13,33,40,14,11,33,40,12,15,37,42,25,03,00
    .byte   00,03,26,37,42,16,17,18,18,19,20,36,34,21,20,36,34,21,20,36,34,21,22,37,42,25,03,00
    .byte   00,03,26,37,43,34,36,38,38,34,36,39,43,34,36,39,43,34,36,39,43,34,36,39,42,25,03,00
    .byte   00,03,26,37,46,40,33,45,46,40,33,45,46,40,33,45,46,40,33,45,46,40,33,44,40,25,03,00
    .byte   00,03,28,33,40,12,13,33,40,12,13,33,40,12,13,33,40,12,13,33,40,12,$9,10,10,27,03,03
    .byte   18,18,24,36,34,21,20,36,34,19,17,00,00,23,24,00,00,19,17,36,34,21,17,18,18,18,18,18
    .byte   00,00,00,37,43,34,36,39,42,25,26,00,00,00,00,00,00,25,26,37,43,34,36,38,34,00,00,00
    .byte   00,00,00,37,46,40,33,45,42,25,26,00,00,00,00,00,00,25,26,37,46,40,33,45,42,00,00,00
    .byte   10,10,11,33,40,12,13,33,40,27,28,00,00,14,11,00,00,27,28,33,40,12,13,33,40,14,10,10
    .byte   18,18,24,36,34,21,20,36,34,21,20,00,00,23,24,00,00,21,20,36,34,21,20,36,34,23,18,18
    .byte   00,00,00,37,43,34,36,39,43,34,36,38,34,00,00,36,38,34,36,39,43,34,36,39,42,00,00,00
    .byte   00,00,00,37,46,40,33,45,46,40,33,45,42,00,00,37,46,40,33,45,46,40,33,45,42,00,00,00
    .byte   10,10,11,33,40,12,13,33,40,12,13,33,40,14,11,33,40,12,13,33,40,12,13,33,40,14,10,10
    .byte   00,03,17,36,34,19,17,36,34,21,20,36,34,19,17,36,34,21,20,36,34,19,17,36,34,19,03,03
    .byte   00,03,26,37,42,25,26,37,43,34,36,39,42,25,26,37,43,34,36,39,42,25,26,37,42,25,03,00
    .byte   00,03,26,37,42,25,26,37,46,40,33,45,42,25,26,37,46,40,33,45,42,25,26,37,42,25,03,00
    .byte   00,03,26,37,42,25,28,33,40,12,13,33,40,27,28,33,40,12,13,33,40,27,26,37,42,25,03,00
    .byte   00,03,26,37,42,16,20,36,34,21,20,36,34,23,24,36,34,21,20,36,34,21,22,37,42,25,03,00
    .byte   00,03,26,37,43,34,36,39,43,34,36,39,43,38,38,39,43,34,36,39,43,34,36,39,42,25,03,00
    .byte   00,03,26,33,44,40,33,44,44,40,33,44,44,44,44,44,44,40,33,44,44,40,33,44,40,25,03,00
    .byte   00,00,29,30,10,27,28,10,10,27,28,10,10,10,10,10,10,27,28,00,00,27,28,10,31,32,00,00

map_width equ 28
map_height equ 25

; Map collision lookup table.  Tiles are numbered from top left
; running across.  A 0 is a clear tile, 1 is blocked.
map_collision
    .byte 1,1,1,1,1,1,1,1,1,1,1,1,1
    .byte 1,0,0,0,0,0,0,0,0,0,0,0,1
    .byte 1,0,1,1,1,0,1,0,1,0,1,0,1
    .byte 1,0,0,0,0,0,0,0,0,0,0,0,1
    .byte 1,0,1,0,1,0,1,0,1,0,1,1,1
    .byte 0,0,0,0,1,0,0,0,1,0,0,0,0
    .byte 1,0,1,0,1,0,1,0,1,0,1,0,1
    .byte 0,0,0,0,0,0,0,0,0,0,0,0,0
    .byte 1,0,1,0,1,0,1,0,1,0,1,0,1
    .byte 1,0,1,0,0,0,1,0,0,0,1,0,1
    .byte 1,0,1,0,1,0,1,0,1,0,1,0,1
    .byte 1,0,0,0,0,0,0,0,0,0,0,0,1
    .byte 1,1,1,1,1,1,1,1,1,1,1,1,1

; Maps from tile ID to tile address.
tile_map_low_byte
    .byte   $07,$09,$0b,$0d,$0f,$11,$13,$15,$17,$19,$1b,$1d,$1f
    .byte   $57,$59,$5b,$5d,$5f,$61,$63,$65,$67,$69,$6b,$6d,$6f
    .byte   $a7,$a9,$ab,$ad,$af,$b1,$b3,$b5,$b7,$b9,$bb,$bd,$bf
    .byte   $f7,$f9,$fb,$fd,$ff,$01,$03,$05,$07,$09,$0b,$0d,$0f
    .byte   $47,$49,$4b,$4d,$4f,$51,$53,$55,$57,$59,$5b,$5d,$5f
    .byte   $97,$99,$9b,$9d,$9f,$a1,$a3,$a5,$a7,$a9,$ab,$ad,$af
    .byte   $e7,$e9,$eb,$ed,$ef,$f1,$f3,$f5,$f7,$f9,$fb,$fd,$ff
    .byte   $37,$39,$3b,$3d,$3f,$41,$43,$45,$47,$49,$4b,$4d,$4f
    .byte   $87,$89,$8b,$8d,$8f,$91,$93,$95,$97,$99,$9b,$9d,$9f
    .byte   $d7,$d9,$db,$dd,$df,$e1,$e3,$e5,$e7,$e9,$eb,$ed,$ef
    .byte   $27,$29,$2b,$2d,$2f,$31,$33,$35,$37,$39,$3b,$3d,$3f
    .byte   $77,$79,$7b,$7d,$7f,$81,$83,$85,$87,$89,$8b,$8d,$8f
    .byte   $c7,$c9,$cb,$cd,$cf,$d1,$d3,$d5,$d7,$d9,$db,$dd,$df
    
tile_map_high_byte
    .byte   $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
    .byte   $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
    .byte   $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$20
    .byte   $20,$20,$20,$20,$20,$21,$21,$21,$21,$21,$21,$21,$21
    .byte   $21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21
    .byte   $21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21
    .byte   $21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21,$21
    .byte   $22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22
    .byte   $22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22
    .byte   $22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22,$22
    .byte   $23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23
    .byte   $23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23
    .byte   $23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23,$23

; Map to tile door types.  IDs should subtract 13 before lookup
; to knock off the top wall.  IDs are:
; 0 - nothing
; 1 - door trigger
; 2 - vertical door
; 3 - horizontal_door
tile_map_door_code
    .byte   0,1,2,1,0,1,2,1,0,1,2,1,0
    .byte   0,0,0,0,0,3,0,3,0,3,0,0,0
    .byte   0,1,2,1,2,1,2,1,2,1,2,1,0
    .byte   0,3,0,3,0,3,0,3,0,3,0,0,0
    .byte   0,1,2,1,0,1,0,1,0,1,2,1,0
    .byte   0,3,0,3,0,3,0,3,0,3,0,3,0
    .byte   0,1,2,1,2,1,0,1,2,1,2,1,0
    .byte   0,3,0,3,0,3,0,3,0,3,0,3,0
    .byte   0,1,0,1,2,1,0,1,2,1,0,1,0
    .byte   0,0,0,3,0,3,0,3,0,3,0,0,0
    .byte   0,1,2,1,2,1,0,1,2,1,2,1,0

player_sprite_height equ 16

; Player sprites.
player_animation_up
player_up_1
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111101
    .byte   %11000011
    .byte   %00111100
    .byte   %01000000
    .byte   %01111110
    .byte   %01111110
    .byte   %00111110
    .byte   %00110100
    .byte   %00010000

player_up_2
    .byte   %00000000
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111101
    .byte   %11000011
    .byte   %00111100
    .byte   %00000010
    .byte   %01111110
    .byte   %01111110
    .byte   %01111100
    .byte   %00101100
    .byte   %00001000

player_animation_down
player_down_1
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111101
    .byte   %11000011
    .byte   %00111100
    .byte   %01000000
    .byte   %01111110
    .byte   %01101100
    .byte   %00111110
    .byte   %00110100
    .byte   %00010000

player_down_2
    .byte   %00000000
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111101
    .byte   %11000011
    .byte   %00111100
    .byte   %00000010
    .byte   %01111110
    .byte   %00110110
    .byte   %01111100
    .byte   %00101100
    .byte   %00001000

player_animation_left
player_left_1
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111001
    .byte   %11000111
    .byte   %00111000
    .byte   %01000110
    .byte   %00110110
    .byte   %01111110
    .byte   %00111100
    .byte   %00000000
    .byte   %00101100

player_left_2
    .byte   %00000000
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111001
    .byte   %11000111
    .byte   %00111000
    .byte   %01000110
    .byte   %01111110
    .byte   %00110110
    .byte   %01111100
    .byte   %10000001
    .byte   %01000010

player_animation_right
player_right_1
    .byte   %00000000
    .byte   %00100100 
    .byte   %00100100 
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10011101
    .byte   %11100011
    .byte   %00011100
    .byte   %01100010
    .byte   %01101100
    .byte   %01111110
    .byte   %00111100
    .byte   %00000000
    .byte   %00110100

player_right_2
    .byte   %00000000
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10011101
    .byte   %11100011
    .byte   %00011100
    .byte   %01100010
    .byte   %01111110
    .byte   %01101100
    .byte   %00111110
    .byte   %10000001
    .byte   %01000010

player_animation_happy
player_happy_1
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %00111100
    .byte   %10000001
    .byte   %11111111
    .byte   %01111110
    .byte   %01011010
    .byte   %01011010
    .byte   %01111110
    .byte   %00100100

player_happy_2
    .byte   %00100100
    .byte   %00100100
    .byte   %00111100
    .byte   %00111100
    .byte   %10111101
    .byte   %11000011
    .byte   %00111100
    .byte   %01000010
    .byte   %01011010
    .byte   %01111110
    .byte   %00111100
    .byte   %00000000
    .byte   %00111100
    .byte   %00100100
    .byte   %00000000
    .byte   %00000000

rob_color_pattern
    .byte   $98,$98,$98,$98,$98,$1e,$1e,$98
    .byte   $98,$98,$4a,$1e,$1e,$4a,$98,$98

banks_color_pattern
    .byte   $45,$45,$45,$45,$45,$c4,$c4,$45
    .byte   $45,$45,$ce,$c4,$c4,$ce,$45,$45

rob_happy_pattern_1
    .byte   $00,$00,$00,$98,$98,$98,$98,$1e
    .byte   $1e,$98,$98,$4a,$1e,$1e,$4a,$98

rob_happy_pattern_2
    .byte   $98,$98,$98,$1e,$98,$98,$98,$4a
    .byte   $1e,$1e,$4a,$4a,$98,$98,$00,$00

banks_happy_pattern_1
    .byte   $00,$00,$00,$45,$45,$45,$45,$c4
    .byte   $c4,$45,$45,$ce,$c4,$c4,$ce,$45

banks_happy_pattern_2
    .byte   $45,$45,$45,$c4,$45,$45,$45,$ce
    .byte   $c4,$c4,$ce,$ce,$45,$45,$00,$00

; Cop sprites.
cop_animation_up
cop_up_1
    .byte   %00011000
    .byte   %01111110
    .byte   %01111110
    .byte   %11111111
    .byte   %11111111
    .byte   %01111110
    .byte   %00111100
    .byte   %00000000
    .byte   %01000010
    .byte   %01111110
    .byte   %01111110
    .byte   %01111100
    .byte   %00111101
    .byte   %00000011
    .byte   %01100010
    .byte   %01100000

cop_up_2
    .byte   %00011000
    .byte   %01111110
    .byte   %01111110
    .byte   %11111111
    .byte   %11111111
    .byte   %01111110
    .byte   %00111100
    .byte   %00000000
    .byte   %01000010
    .byte   %01111110
    .byte   %01111110
    .byte   %00111110
    .byte   %10111100
    .byte   %11000000
    .byte   %01000110
    .byte   %00000110

cop_animation_down
cop_down_1
    .byte   %00011000
    .byte   %01111110
    .byte   %01111110
    .byte   %11100111
    .byte   %10000001
    .byte   %00011000
    .byte   %00011000
    .byte   %01000010
    .byte   %01100110
    .byte   %01011100
    .byte   %01011100
    .byte   %01111110
    .byte   %00111101
    .byte   %00000011
    .byte   %01100010
    .byte   %01100000

cop_down_2
    .byte   %00011000
    .byte   %01111110
    .byte   %01111110
    .byte   %11100111
    .byte   %10000001
    .byte   %00011000
    .byte   %00011000
    .byte   %01000010
    .byte   %01100110
    .byte   %00111010
    .byte   %00111010
    .byte   %01111110
    .byte   %10111100
    .byte   %11000000
    .byte   %01000110
    .byte   %00000110

cop_animation_left
cop_left_1
    .byte   %00100000
    .byte   %01111000
    .byte   %01111100
    .byte   %11011110
    .byte   %10000010
    .byte   %00100000
    .byte   %00100000
    .byte   %00001100
    .byte   %01011100
    .byte   %00101100
    .byte   %00101100
    .byte   %01111100
    .byte   %00111000
    .byte   %00000000 
    .byte   %01101100
    .byte   %01101100

cop_left_2
    .byte   %00000000
    .byte   %00100000
    .byte   %01111000
    .byte   %01111100
    .byte   %11011110
    .byte   %10000010
    .byte   %00100000
    .byte   %00100000
    .byte   %00001100
    .byte   %01011100
    .byte   %01111100
    .byte   %00101100
    .byte   %01111100
    .byte   %10111010
    .byte   %11000110
    .byte   %01000100

cop_animation_right
cop_right_1
    .byte   %00000100
    .byte   %00011110
    .byte   %00111110
    .byte   %01111011
    .byte   %01000001
    .byte   %00000100
    .byte   %00000100
    .byte   %00110000
    .byte   %00111010
    .byte   %00110100
    .byte   %00110100
    .byte   %00111110
    .byte   %00011100
    .byte   %00000000
    .byte   %00110110
    .byte   %00110110

cop_right_2
    .byte   %00000000
    .byte   %00000100
    .byte   %00011110
    .byte   %00111110
    .byte   %01111011
    .byte   %01000001
    .byte   %00000100
    .byte   %00000100
    .byte   %00110000
    .byte   %00111010
    .byte   %00111110
    .byte   %00110100
    .byte   %00111110
    .byte   %01011101
    .byte   %01100011
    .byte   %00100010

cop_animation_angry
cop_angry_1
    .byte   %00011000
    .byte   %01111110
    .byte   %01111110
    .byte   %11100111
    .byte   %10000001
    .byte   %00011000
    .byte   %00011000
    .byte   %01000010
    .byte   %01100110
    .byte   %01011010
    .byte   %01011010
    .byte   %01011010
    .byte   %01111110
    .byte   %00011000
    .byte   %01100110
    .byte   %01100110

cop_angry_2
    .byte   %00000000
    .byte   %00011000
    .byte   %01111110
    .byte   %01111110
    .byte   %11100111
    .byte   %10000001
    .byte   %00011000
    .byte   %10011001
    .byte   %01000010
    .byte   %11100111
    .byte   %11011011
    .byte   %11111111
    .byte   %01111110
    .byte   %00111100
    .byte   %11000011
    .byte   %11000011

car_image_1
    .byte   $00,$80,$00,$00,$00,$00,$00
    .byte   $02,$80,$00,$00,$00,$00,$00
.   .byte   $2a,$80,$00,$00,$00,$00,$00
    .byte   $96,$a0,$00,$00,$00,$02,$00
    .byte   $95,$68,$00,$00,$2a,$aa,$a8
    .byte   $25,$58,$00,$00,$25,$55,$58
    .byte   $aa,$96,$00,$00,$25,$56,$a8
    .byte   $00,$25,$80,$00,$25,$58,$02
    .byte   $0f,$c9,$60,$00,$25,$63,$f0
    .byte   $3c,$f2,$5a,$aa,$95,$8f,$3c
    .byte   $ff,$fc,$95,$55,$56,$3f,$ff
    .byte   $cf,$cc,$aa,$aa,$a8,$33,$f3
    .byte   $ff,$fc,$00,$00,$00,$3f,$ff
    .byte   $3c,$f0,$00,$00,$00,$0f,$3c
    .byte   $0f,$c0,$00,$00,$00,$03,$f0

car_image_2
    .byte   $00,$00,$00,$00,$00,$00,$00
    .byte   $00,$00,$00,$00,$00,$00,$00
.   .byte   $02,$80,$00,$00,$00,$00,$00
    .byte   $2a,$80,$00,$00,$00,$00,$00
    .byte   $96,$a0,$00,$00,$00,$02,$00
    .byte   $95,$68,$00,$00,$2a,$aa,$a8
    .byte   $25,$58,$00,$00,$25,$55,$58
    .byte   $aa,$96,$00,$00,$25,$56,$a8
    .byte   $0f,$e5,$80,$00,$25,$5b,$f2
    .byte   $33,$39,$60,$00,$25,$6c,$cc
    .byte   $cf,$ce,$5a,$aa,$95,$b3,$f3
    .byte   $ff,$fc,$95,$55,$56,$3f,$ff
    .byte   $cf,$cc,$aa,$aa,$a8,$33,$f3
    .byte   $33,$30,$00,$00,$00,$0c,$cc
    .byte   $0f,$c0,$00,$00,$00,$03,$f0

rider_mask_left
    .byte   %01111111
    .byte   %00111111
    .byte   %00011111
    .byte   %00001111
    .byte   %00000111
    .byte   %00000011
    .byte   %00000001

rider_mask_right
    .byte   %11111110
    .byte   %11111100
    .byte   %11111000
    .byte   %11110000
    .byte   %11100000
    .byte   %11000000
    .byte   %10000000

gate_low_byte
    .byte   $ed
    .byte   $49
    .byte   $4d
    .byte   $b1
    .byte   $b5
    .byte   $55
    .byte   $59
    .byte   $f9
    .byte   $fd
    .byte   $f9
    .byte   $99
    .byte   $95
    .byte   $35
    .byte   $31
    .byte   $91
    .byte   $8d
    .byte   $ed
    .byte   $e9

gate_high_byte
    .byte   $21
    .byte   $21
    .byte   $21
    .byte   $20
    .byte   $20
    .byte   $21
    .byte   $21
    .byte   $21
    .byte   $21
    .byte   $21
    .byte   $22
    .byte   $22
    .byte   $23
    .byte   $23
    .byte   $22
    .byte   $22
    .byte   $21
    .byte   $21

; Scoring table.
score_table
coin_score
    .byte   $02,$00,$00             ; 20 points.
hat_score
    .byte   $20,$00,$00             ; 200 points.
flashlight_score
    .byte   $40,$00,$00             ; 400 points.
cash_score
briefcase_score
    .byte   $50,$00,$00             ; 500 points.
camera_score
    .byte   $00,$01,$00             ; 1000 points.
glasses_score
    .byte   $00,$02,$00             ; 2000 points.
    .byte   $00,$04,$00             ; 4000 points.
watch_score
    .byte   $80,$00,$00             ; 800 points.
cop_score
phone_score
    .byte   $10,$00,$00             ; 100 points.
crown_score
    .byte   $30,$00,$00             ; 300 points.
    .byte   $00,$01,$00             ; 1000 points.
    .byte   $00,$02,$00             ; 2000 points.
key_score
    .byte   $00,$03,$00             ; 3000 points.
heart_score
    .byte   $00,$05,$00             ; 5000 points.

; Bonus display table.
; Format is first digit followed by 0 count.
bonus_table
hat_bonus
    .byte   80,2
flashlight_bonus
    .byte   82,2                    ; 400 points.
cash_bonus
briefcase_bonus
    .byte   83,2                    ; 500 points.
camera_bonus
    .byte   79,3                    ; 1000 points.
glasses_bonus
    .byte   80,3                    ; 2000 points.
    .byte   82,3                    ; 4000 points.
watch_bonus
    .byte   86,2                    ; 800 points.
cop_bonus
phone_bonus
    .byte   79,2                    ; 100 points.
crown_bonus
    .byte   81,2                    ; 300 points.
    .byte   79,3                    ; 1000 points.
    .byte   80,3                    ; 2000 points.
key_bonus
    .byte   81,3                    ; 3000 points.
heart_bonus
    .byte   83,3                    ; 5000 points.

; Bonus object mapping tables.
bonus_score_map
    .byte   hat_score - score_table
    .byte   crown_score - score_table
    .byte   briefcase_score - score_table
    .byte   phone_score - score_table
    .byte   watch_score - score_table
    .byte   camera_score - score_table
    .byte   glasses_score - score_table
    .byte   flashlight_score - score_table
    .byte   key_score - score_table
    .byte   heart_score - score_table

bonus_display_map
    .byte   hat_bonus - bonus_table
    .byte   crown_bonus - bonus_table
    .byte   briefcase_bonus - bonus_table
    .byte   phone_bonus - bonus_table
    .byte   watch_bonus - bonus_table
    .byte   camera_bonus - bonus_table
    .byte   glasses_bonus - bonus_table
    .byte   flashlight_bonus - bonus_table
    .byte   key_bonus - bonus_table
    .byte   heart_bonus - bonus_table

bonus_image_map
    .word   bonus_hat
    .word   bonus_crown
    .word   bonus_briefcase
    .word   bonus_phone
    .word   bonus_watch
    .word   bonus_camera
    .word   bonus_glasses
    .word   bonus_flashlight
    .word   bonus_key
    .word   bonus_heart

bonus_image_mask
    .byte   $0
    .byte   $80
    .byte   $80
    .byte   $80
    .byte   $80
    .byte   $0
    .byte   $80
    .byte   $80
    .byte   $0
    .byte   $80

max_bonus_object equ 10

; Cop speed tables.
red_cop_speeds
    .byte   40
    .byte   40
    .byte   50
    .byte   50
    .byte   60
    .byte   64
    .byte   70
    .byte   80
    .byte   80
    .byte   80

blue_cop_speeds
    .byte   40
    .byte   40
    .byte   40
    .byte   50
    .byte   50
    .byte   60
    .byte   60
    .byte   70
    .byte   70
    .byte   70

green_cop_speeds
    .byte   30
    .byte   30
    .byte   40
    .byte   40
    .byte   40
    .byte   50
    .byte   50
    .byte   60
    .byte   60
    .byte   60

yellow_cop_speeds
    .byte   20
    .byte   20
    .byte   30
    .byte   30
    .byte   40
    .byte   50
    .byte   50
    .byte   50
    .byte   60
    .byte   60

attract_script_1
    .byte   1,direction_left,1
    .byte   90,direction_up,1
    .byte   90,direction_left,1
    .byte   100,direction_down,1
    .byte   160,direction_right,1
    .byte   120,direction_up,1
    .byte   100,direction_left,1
    .byte   120,direction_up,1
    .byte   20,direction_right,1
    .byte   1,direction_right,0
    .byte   60,direction_up,1
    .byte   240,direction_left,1
    .byte   60,direction_down,1
    .byte   180,direction_left,1

attract_script_2
    .byte   240,direction_up,1
    .byte   160,direction_right,1
    .byte   60,direction_down,1
    .byte   5,direction_left,1
    .byte   1,direction_left,0
    .byte   40,direction_left,1
    .byte   30,direction_down,1
    .byte   1,direction_up,0
    .byte   60,direction_up,1
    .byte   100,direction_left,1
    .byte   60,direction_down,1
    .byte   120,direction_left,1
    .byte   200,direction_down,1
    .byte   90,direction_right,1
    .byte   90,direction_up,1
    .byte   180,direction_right,1
    .byte   60,direction_down,1

attract_script_3
    .byte   200,direction_up,1
    .byte   60,direction_right,1
    .byte   30,direction_up,1
    .byte   60,direction_left,1
    .byte   60,direction_down,1
    .byte   30,direction_left,1
    .byte   60,direction_up,1
    .byte   150,direction_left,1
    .byte   140,direction_right,1
    .byte   20,direction_left,1
    .byte   140,direction_down,1
    .byte   60,direction_right,1
    .byte   50,direction_up,1
    .byte   100,direction_left,1
    .byte   120,direction_down,1
    .byte   80,direction_right,1
    .byte   120,direction_down,1
    .byte   180,direction_right,1

; Text assets.
score_line_string
    .byte   "P1$000000      HI$000000       P2$000000",$0

hero_string
    .byte   $60,$60,$60," HERO ",$60,$60,$60,$0

rob_string
    .byte   "Rob",$0

banks_string
    .byte   "Banks",$0

cop_string
    .byte   $60,$60,$60," VIRTUA COP ",$60,$60,$60,$0

biff_string
    .byte   "Biff",$0

buzz_string
    .byte   "Buzz",$0

bull_string
    .byte   "Bull",$0

pork_chop_string
    .byte   "Pork-Chop",$0

game_mode_string
    .byte   "* - Game mode",$0

mode_one_player_string
    .byte   "One player",$0

mode_two_player_one_string
    .byte   "Two players, one controller",$0

mode_two_player_two_string
    .byte   "Two players, two controllers",$0

start_stage_string
    .byte   "# - Start stage",$0

press_start_string
    .byte   "Press Start!!!",$0

license_string
    .byte   "Press # to view license",$0

copyright_string
    .byte   "Copyright MMXXII Phaser Cat Games LLC",$0

get_ready_text
    .byte   "Player 1 ready!",$0

game_over_text
    .byte   "game  over",$0

; This is the license text pre-converted from ASCII to the
; proper character codes for mode 2.  This allows the
; license display list to show the data directly from
; the cartridge.
gpl_text
    .byte $32,$6f,$62,$0,$7,$6e,$7,$0,$22,$61,$6e,$6b,$73,$0,$69,$73,$0,$66,$72,$65,$65,$0,$73,$6f,$66,$74,$77,$61,$72,$65,$1a,$0,$79,$6f,$75,$0,$63,$61,$6e,$0
    .byte $72,$65,$64,$69,$73,$74,$72,$69,$62,$75,$74,$65,$0,$69,$74,$0,$61,$6e,$64,$f,$6f,$72,$0,$6d,$6f,$64,$69,$66,$79,$0,$69,$74,$0,$75,$6e,$64,$65,$72,$0,$0
    .byte $74,$68,$65,$0,$74,$65,$72,$6d,$73,$0,$6f,$66,$0,$74,$68,$65,$0,$27,$2e,$35,$0,$27,$65,$6e,$65,$72,$61,$6c,$0,$30,$75,$62,$6c,$69,$63,$0,$0,$0,$0,$0
    .byte $2c,$69,$63,$65,$6e,$73,$65,$0,$61,$73,$0,$70,$75,$62,$6c,$69,$73,$68,$65,$64,$0,$62,$79,$0,$74,$68,$65,$0,$26,$72,$65,$65,$0,$0,$0,$0,$0,$0,$0,$0
    .byte $33,$6f,$66,$74,$77,$61,$72,$65,$0,$26,$6f,$75,$6e,$64,$61,$74,$69,$6f,$6e,$c,$0,$65,$69,$74,$68,$65,$72,$0,$76,$65,$72,$73,$69,$6f,$6e,$0,$13,$0,$6f,$66
    .byte $74,$68,$65,$0,$2c,$69,$63,$65,$6e,$73,$65,$c,$0,$6f,$72,$0,$8,$61,$74,$0,$79,$6f,$75,$72,$0,$6f,$70,$74,$69,$6f,$6e,$9,$0,$61,$6e,$79,$0,$0,$0,$0
    .byte $6c,$61,$74,$65,$72,$0,$76,$65,$72,$73,$69,$6f,$6e,$e,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
    .byte $32,$6f,$62,$0,$7,$6e,$7,$0,$22,$61,$6e,$6b,$73,$0,$69,$73,$0,$64,$69,$73,$74,$72,$69,$62,$75,$74,$65,$64,$0,$69,$6e,$0,$74,$68,$65,$0,$68,$6f,$70,$65
    .byte $74,$68,$61,$74,$0,$69,$74,$0,$77,$69,$6c,$6c,$0,$62,$65,$0,$75,$73,$65,$66,$75,$6c,$c,$0,$62,$75,$74,$0,$37,$29,$34,$28,$2f,$35,$34,$0,$21,$2e,$39,$0
    .byte $37,$21,$32,$32,$21,$2e,$34,$39,$1b,$0,$77,$69,$74,$68,$6f,$75,$74,$0,$65,$76,$65,$6e,$0,$74,$68,$65,$0,$69,$6d,$70,$6c,$69,$65,$64,$0,$0,$0,$0,$0,$0
    .byte $77,$61,$72,$72,$61,$6e,$74,$79,$0,$6f,$66,$0,$2d,$25,$32,$23,$28,$21,$2e,$34,$21,$22,$29,$2c,$29,$34,$39,$0,$6f,$72,$0,$26,$29,$34,$2e,$25,$33,$33,$0,$0
    .byte $26,$2f,$32,$0,$21,$0,$30,$21,$32,$34,$29,$23,$35,$2c,$21,$32,$0,$30,$35,$32,$30,$2f,$33,$25,$e,$0,$0,$33,$65,$65,$0,$74,$68,$65,$0,$27,$2e,$35,$0,$0
    .byte $27,$65,$6e,$65,$72,$61,$6c,$0,$30,$75,$62,$6c,$69,$63,$0,$2c,$69,$63,$65,$6e,$73,$65,$0,$66,$6f,$72,$0,$6d,$6f,$72,$65,$0,$64,$65,$74,$61,$69,$6c,$73,$e
    .byte $39,$6f,$75,$0,$73,$68,$6f,$75,$6c,$64,$0,$68,$61,$76,$65,$0,$72,$65,$63,$65,$69,$76,$65,$64,$0,$61,$0,$63,$6f,$70,$79,$0,$6f,$66,$0,$74,$68,$65,$0,$0
    .byte $27,$2e,$35,$0,$27,$65,$6e,$65,$72,$61,$6c,$0,$30,$75,$62,$6c,$69,$63,$0,$2c,$69,$63,$65,$6e,$73,$65,$0,$61,$6c,$6f,$6e,$67,$0,$77,$69,$74,$68,$0,$0,$0
    .byte $32,$6f,$62,$0,$7,$6e,$7,$0,$22,$61,$6e,$6b,$73,$e,$0,$0,$29,$66,$0,$6e,$6f,$74,$c,$0,$73,$65,$65,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
    .byte $1c,$68,$74,$74,$70,$1a,$f,$f,$77,$77,$77,$e,$67,$6e,$75,$e,$6f,$72,$67,$f,$6c,$69,$63,$65,$6e,$73,$65,$73,$f,$1e,$e,$0,$0,$0,$0,$0,$0,$0,$0,$0
    .byte $0,$30,$72,$65,$73,$73,$0,$3,$0,$74,$6f,$0,$72,$65,$74,$75,$72,$6e,$0,$74,$6f,$0,$74,$68,$65,$0,$74,$69,$74,$6c,$65,$0,$73,$63,$72,$65,$65,$6e,$0,$0
