; This file is part of Rob 'n' Banks.

; Rob 'n' Banks is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; Rob 'n' Banks is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with Rob 'n' Banks.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2022 Phaser Cat Games LLC

; Game over screen routines

start_game_over subroutine
    jsr     start_transition
    mwa     game_over_display_list,sDLISTL
    ldy     #19                     ; Clear the text area.
    lda     #0
.clear_loop 
    sta     $1100,y
    dey
    bpl     .clear_loop
    mwa     game_over_text,$fc
    mwa     $1105,$fe
    jsr     copy_text_full
    mva     #$f8,CHBASE
    mva     #180,game_timer
    jsr     complete_transition
    ; Fall through to the processing loop.

game_over_loop subroutine
    jsr     wait_for_vb
    dec     game_timer
    bne     game_over_loop
    lda     game_mode
    beq     .to_title               ; One player, really over.
    lda     player_1_lives          ; Are both life totals -1?
    and     player_2_lives
    bmi     .to_title
    jmp     start_player_intro      ; No, back to the game.
.to_title
    jmp     start_title_screen

