; This file is part of Rob 'n' Banks.

; Rob 'n' Banks is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; Rob 'n' Banks is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with Rob 'n' Banks.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2022 Phaser Cat Games LLC

; Personal macro instructions

; mva, mvx, mvy
; These instructions place a value in memory via a particular register.
    mac mva
    lda     {1}
    sta     {2}
    endm

    mac mvx
    ldx     {1}
    stx     {2}
    endm

    mac mvy
    ldy     {1}
    sty     {2}
    endm

; mwa, mwx, mwy
; These instructions place a word at a particular location via the indicated register.
    mac mwa
    lda     #<{1}
    sta     {2}
    lda     #>{1}
    sta     {2} + 1
    endm

    mac mwx
    ldx     #<{1}
    stx     {2}
    ldx     #>{1}
    stx     {2} + 1
    endm

    mac mwy
    ldy     #<{1}
    sty     {2}
    ldy     #>{1}
    sty     {2} + 1
    endm

; jsi
; Jump to Subroutine Indirect.
; Simulates the indirect addressing mode that jmp has
; for the jsr instruction.
    mac jsi
    lda     #>.return
    pha
    lda     #<[.return - 1]
    pha
    jmp     {1}
.return
    endm

