; This file is part of Rob 'n' Banks.

; Rob 'n' Banks is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; Rob 'n' Banks is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with Rob 'n' Banks.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2022 Phaser Cat Games LLC

; Initial logo introduction state

; Data.
intro_phase_timer   equ $80
intro_phase         equ $81
intro_fade_control  equ $82

; Introduction warmup.
start_intro subroutine
    lda     #$70                    ; Build a display list.
    ldy     #10                     ; Push the logo to the middle.
.overscan_loop
    sta     $400,y
    dey
    bpl     .overscan_loop
    lda     #$4f                    ; Mode F with LMS.
    sta     $40a
    lda     #$00                    ; Read from $3000.
    sta     $fe
    sta     $40b
    lda     #$30
    sta     $40c
    sta     $ff
    lda     #$0f
    ldy     #84                     ; 85 more lines of F.
.mode_f_loop
    sta     $40d,y
    dey
    bpl     .mode_f_loop
    lda     #$41                    ; Terminate the list.
    sta     $40d + 85
    lda     #$00
    sta     $40d + 86
    sta     sDLISTL
    lda     #$04
    sta     $40d + 87
    sta     sDLISTH
    mwa     phaser_cat_logo,$fc
    jsr     decompress_monochrome
    mva     #240,intro_phase_timer
    lda     #$ff
    sta     last_key_pressed
    jsr     complete_transition

; Main intro loop.
intro_loop subroutine
    jsr     wait_for_vb
    lda     last_key_pressed
    bpl     .skip_intro
    lda     TRIG0
    beq     .skip_intro
    lda     SKSTAT
    and     #8
    bne     .process_intro
.skip_intro
    jmp     start_title_screen
.process_intro
    lda     intro_fade_control
    eor     #$80
    sta     intro_fade_control
    lda     intro_phase
    beq     .fade_in
    cmp     #1
    beq     .hold
    bit     intro_fade_control
    bpl     intro_loop
    ldx     sCOLOR1
    beq     .skip_intro
    dex
    stx     sCOLOR1
    jmp     intro_loop
.fade_in
    bit     intro_fade_control
    bpl     intro_loop
    ldx     sCOLOR1
    inx
    stx     sCOLOR1
    cpx     #$f
    beq     .next_phase
    jmp     intro_loop
.hold
    dec     intro_phase_timer
    bne     intro_loop
.next_phase
    inc     intro_phase
    jmp     intro_loop

