; This file is part of Rob 'n' Banks.

; Rob 'n' Banks is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.

; Rob 'n' Banks is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.

; You should have received a copy of the GNU General Public License
; along with Rob 'n' Banks.  If not, see <http://www.gnu.org/licenses/>.

; Copyright 2022 Phaser Cat Games LLC

; In game tileset

; Tile directory.
; 0 - Blank
; 1 - Top left
; 2 - Top left 2
; 3 - Blank, but collision sensitive
; 4 - Top border vertical line left
; 5 - Top border vertical line right
; 6 - Top right 2
; 7 - Top right
; 8 - Round top left vertical line
; 9 - Solid left bottom line
; 10 - Solid bottom line
; 11 - Round top right horizontal line
; 12 - Round top left double line
; 13 - Round top right double line
; 14 - Round top left horizontal line
; 15 - Round top right vertical line
; 16 - Round bottom left vertical line
; 17 - Solid top and left line
; 18 - Solid top line
; 19 - Solid top and right line
; 20 - Round bottom right double line
; 21 - Round bottom left double line
; 22 - Round bottom right vertical line
; 23 - Round bottom left horizontal line
; 24 - Round bottom right horizontal line
; 25 - Solid right line
; 26 - Solid left line
; 27 - Solid bottom and right line
; 28 - Solid bottom and left line
; 29 - Bottom left
; 30 - Bottom left 2
; 31 - Bottom right 2
; 32 - Bottom right
; 33 - 46 Coin tiles
; 47 - Lower escape door
; 48 - Upper escape door
; 49 - OUT left
; 50 - OUT right
; 51 - Gate bottom left 1
; 52 - Gate bottom left 2
; 53 - Door bottom left
; 54 - Gate bottom right 1
; 55 - Gate bottom right 2
; 56 - Door bottom right
; 57 - Gate top left 1
; 58 - Gate top left 2
; 59 - Door top left
; 60 - Gate top right 1
; 61 - Gate top right 2
; 62 - Door top right
; 63 - Gate bottom left 1 with coin
; 64 - Gate bottom left 2 with coin
; 65 - Door bottom left with coin
; 66 - Gate bottom right 1 with coin
; 67 - Gate bottom right 2 with coin
; 68 - Door bottom right with coin
; 69 - Gate top left 1 with coin
; 70 - Gate top left 2 with coin
; 71 - Door top left with coin
; 72 - Gate top right 1 with coin
; 73 - Gate top right 2 with coin
; 74 - Door top right with coin
; 75 - Door right
; 76 - Door left
; 77 - Dollar sign
; 78 - 87 Digits 0-9
; 88 - + sign
; 89 - 92 Cash bag

    org     $a000
tileset_start
    .byte   %00000000   ; 0 - Blank
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %00000000   ; 1 - Top left
    .byte   %00000010
    .byte   %00001001
    .byte   %00001001
    .byte   %00100101
    .byte   %00100101
    .byte   %00100101
    .byte   %10010101

    .byte   %00101010   ; 2 - Top left 2
    .byte   %10010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101

    .byte   %00000000   ; 3 - Empty, but collision sensitive.
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %01010101   ; 4 - Top border vertical line left
    .byte   %01010101
    .byte   %01010100
    .byte   %01010100
    .byte   %01010100
    .byte   %01010100
    .byte   %01010100
    .byte   %01010100

    .byte   %01010101   ; 5 - Top border vertical line right
    .byte   %01010101
    .byte   %00010101
    .byte   %00010101
    .byte   %00010101
    .byte   %00010101
    .byte   %00010101
    .byte   %00010101

    .byte   %10101000   ; 6 - Top right 2
    .byte   %01010110
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101

    .byte   %00000000   ; 7 - Top right
    .byte   %10000000
    .byte   %01100000
    .byte   %01100000
    .byte   %01011000
    .byte   %01011000
    .byte   %01011000
    .byte   %01010110

    .byte   %00000110   ; 8 - Round top left vertical line
    .byte   %00010110
    .byte   %00010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110

    .byte   %10010101   ; 9 - Solid left bottom line
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10101010

    .byte   %01010101   ; 10 - Solid bottom line
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %10101010

    .byte   %01010000   ; 11 - Round top right horizontal line
    .byte   %01010100
    .byte   %01010100
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %10101010

    .byte   %00000110   ; 12 - Round top left double line
    .byte   %00010110
    .byte   %00010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %10101010

    .byte   %10010000   ; 13 - Round top right double line
    .byte   %10010100
    .byte   %10010100
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10101010

    .byte   %00000101   ; 14 - Round top left horizontal line
    .byte   %00010101
    .byte   %00010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %10101010

    .byte   %10010000   ; 15 - Round top right vertical line
    .byte   %10010100
    .byte   %10010100
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101

    .byte   %01010110   ; 16 - Round bottom left vertical line
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %00010110
    .byte   %00010110
    .byte   %00000110

    .byte   %10101010   ; 17 - Solid top and left line
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101

    .byte   %10101010   ; 18 - Solid top line
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101

    .byte   %10101010   ; 19 - Solid top and right line
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    
    .byte   %10101010   ; 20 - Round bottom right both lines
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010100
    .byte   %10010100 
    .byte   %10010000

    .byte   %10101010   ; 21 - Round bottom left both lines
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %00010110
    .byte   %00010110
    .byte   %00000110

    .byte   %10010101   ; 22 - Round bottom right vertical line
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010100
    .byte   %10010100
    .byte   %10010000

    .byte   %10101010   ; 23 - Round bottom left horizontal line
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %00010101
    .byte   %00010101
    .byte   %00000101

    .byte   %10101010   ; 24 - Round bottom right horizontal line
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010100
    .byte   %01010100
    .byte   %01010000

    .byte   %01010110   ; 25 - Solid right line
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110

    .byte   %10010101   ; 26 - Solid left line
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101

    .byte   %01010110   ; 27 - Solid bottom and right line
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %01010110
    .byte   %10101010

    .byte   %10010101   ; 28 - Solid bottom and left line
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10010101
    .byte   %10101010

    .byte   %10010101   ; 29 - Bottom left
    .byte   %00100101
    .byte   %00100101
    .byte   %00100101
    .byte   %00001001
    .byte   %00001001
    .byte   %00000010
    .byte   %00000000

    .byte   %01010101   ; 30 - Bottom left 2
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %10010101
    .byte   %00101010

    .byte   %01010101   ; 31 - Bottom right 2
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010101
    .byte   %01010110
    .byte   %10101000

    .byte   %01010110   ; 32 - Bottom right
    .byte   %01011000
    .byte   %01011000
    .byte   %01011000
    .byte   %01100000
    .byte   %01100000
    .byte   %10000000
    .byte   %00000000

    include "coins.s"

    .byte   %10101010   ; 47 - Lower escape door
    .byte   %10101010
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %00000000   ; 48 - Upper escape door
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %10101010
    .byte   %10101010

    .byte   %00100000   ; 49 - OUT left
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %00100010

    .byte   %00101010   ; 50 - OUT right
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %10001000
    .byte   %00001000

    .byte   %00000000   ; 51 - Gate bottom left 1
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11000000

    .byte   %00000000   ; 52 - Gate bottom left 2
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11111100

    .byte   %00000000   ; 53 - Door bottom left
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11111111

    .byte   %00000000   ; 54 - Gate bottom right 1
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000011

    .byte   %00000000   ; 55 - Gate bottom right 2
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00111111

    .byte   %00000000   ; 56 - Door bottom right
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11111111

    .byte   %11000000   ; 57 - Gate top left 1
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %11111100   ; 58 - Gate top left 2
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %11111111   ; 59 - Door top left
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %00000011   ; 60 - Gate top right 1
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %00111111   ; 61 - Gate top right 2
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %11111111   ; 62 - Door top right
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %00000010   ; 63 - Gate bottom left 1 with coin
    .byte   %00000010
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11000000

    .byte   %00000010   ; 64 - Gate bottom left 2 with coin
    .byte   %00000010
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11111100

    .byte   %00000010   ; 65 - Door bottom left with coin
    .byte   %00000010
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11111111

    .byte   %10000000   ; 66 - Gate bottom right 1 with coin
    .byte   %10000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000011

    .byte   %10000000   ; 67 - Gate bottom right 2 with coin
    .byte   %10000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00111111

    .byte   %10000000   ; 68 - Door bottom right with coin
    .byte   %10000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11111111

    .byte   %11000000   ; 69 - Gate top left 1 with coin
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000010
    .byte   %00000010

    .byte   %11111100   ; 70 - Gate top left 2 with coin
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000010
    .byte   %00000010

    .byte   %11111111   ; 71 - Door top left with coin
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000010
    .byte   %00000010

    .byte   %00000011   ; 72 - Gate top right 1 with coin
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %10000000
    .byte   %10000000

    .byte   %00111111   ; 73 - Gate top right 2 with coin
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %10000000
    .byte   %10000000

    .byte   %11111111   ; 74 - Door top right with coin
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %10000000
    .byte   %10000000

    .byte   %00000011   ; 75 - Door right
    .byte   %00000011
    .byte   %00000011
    .byte   %00000011
    .byte   %00000011
    .byte   %00000011
    .byte   %00000011
    .byte   %00000011

    .byte   %11000000   ; 76 - Door left
    .byte   %11000000
    .byte   %11000000
    .byte   %11000000
    .byte   %11000000
    .byte   %11000000
    .byte   %11000000
    .byte   %11000000

    .byte   %00001000   ; 77 - Dollar sign
    .byte   %10101010
    .byte   %10001000
    .byte   %10101010
    .byte   %00100010
    .byte   %10101010
    .byte   %00100000
    .byte   %00000000

    .byte   %00001000   ; 78 - 0 digit
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00001000

    .byte   %00001000   ; 79 - 1 digit
    .byte   %00101000
    .byte   %00001000
    .byte   %00001000
    .byte   %00001000
    .byte   %00001000
    .byte   %00001000
    .byte   %00101010

    .byte   %00101000   ; 80 - 2 digit
    .byte   %00000010
    .byte   %00000010
    .byte   %00001000
    .byte   %00100000
    .byte   %00100000
    .byte   %00100000
    .byte   %00101010

    .byte   %00101000   ; 81 - 3 digit
    .byte   %00000010
    .byte   %00000010
    .byte   %00001000
    .byte   %00000010
    .byte   %00000010
    .byte   %00000010
    .byte   %00101000

    .byte   %00100000   ; 82 - 4 digit
    .byte   %00100010
    .byte   %00100010
    .byte   %00101010
    .byte   %00000010
    .byte   %00000010
    .byte   %00000010
    .byte   %00000010

    .byte   %00101010   ; 83 - 5 digit
    .byte   %00100000
    .byte   %00100000
    .byte   %00101000
    .byte   %00000010
    .byte   %00000010
    .byte   %00000010
    .byte   %00101000

    .byte   %00001010   ; 84 - 6 digit
    .byte   %00100000
    .byte   %00100000
    .byte   %00101000
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00001000

    .byte   %00101010   ; 85 - 7 digit
    .byte   %00000010
    .byte   %00000010
    .byte   %00001000
    .byte   %00001000
    .byte   %00001000
    .byte   %00001000
    .byte   %00001000

    .byte   %00001000   ; 86 - 8 digit
    .byte   %00100010
    .byte   %00100010
    .byte   %00001000
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00001000

    .byte   %00001000   ; 87 - 9 digit
    .byte   %00100010
    .byte   %00100010
    .byte   %00100010
    .byte   %00001010
    .byte   %00000010
    .byte   %00000010
    .byte   %00101000

    .byte   %00100000   ; 88 - + sign
    .byte   %00100000
    .byte   %00100000
    .byte   %10101000
    .byte   %10101000
    .byte   %00100000
    .byte   %00100000
    .byte   %00100000

    .byte   %00000000   ; 89 - 92 Cash bag
    .byte   %00001000
    .byte   %00001010
    .byte   %00000010
    .byte   %00000011
    .byte   %00001010
    .byte   %00101110
    .byte   %00101111

    .byte   %00000000
    .byte   %00100000
    .byte   %10100000
    .byte   %10000000
    .byte   %11000000
    .byte   %10100000
    .byte   %10111000
    .byte   %11111100

    .byte   %10111110
    .byte   %10111111
    .byte   %10101110
    .byte   %10111111
    .byte   %00101110
    .byte   %00101010
    .byte   %00001010
    .byte   %00000000

    .byte   %10111010
    .byte   %11111010
    .byte   %10111110
    .byte   %11111110
    .byte   %10111000
    .byte   %10101000
    .byte   %10100000
    .byte   %00000000

tileset_end
bonus_hat
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00010101
    .byte   %00000101
    .byte   %00000101
    .byte   %00000101
    .byte   %00000101

    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %01010100
    .byte   %01010000
    .byte   %01010000
    .byte   %01010000
    .byte   %01010000

    .byte   %00001010
    .byte   %00001010
    .byte   %00001010
    .byte   %01000000
    .byte   %01010101
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %10100000
    .byte   %10100000
    .byte   %10100000
    .byte   %00000001
    .byte   %01010101
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

bonus_crown
    .byte   %00000000
    .byte   %00000000
    .byte   %00000010
    .byte   %00001010
    .byte   %10001010
    .byte   %10101011
    .byte   %11101111
    .byte   %11101111

    .byte   %00000000
    .byte   %00000000
    .byte   %10000000
    .byte   %10100000
    .byte   %10100010
    .byte   %11101010
    .byte   %11111011
    .byte   %11111011

    .byte   %11101111
    .byte   %10101011
    .byte   %10101010
    .byte   %00000000
    .byte   %11111111
    .byte   %11111111
    .byte   %00000000
    .byte   %00000000

    .byte   %11111011
    .byte   %11101010
    .byte   %10101010
    .byte   %00000000
    .byte   %11111111
    .byte   %11111111
    .byte   %00000000
    .byte   %00000000

bonus_briefcase
    .byte   %00000000
    .byte   %00000001
    .byte   %00000001
    .byte   %00000100
    .byte   %00000100
    .byte   %11010101
    .byte   %01111111
    .byte   %01111111

    .byte   %00000000
    .byte   %01000000
    .byte   %01000000
    .byte   %00010000
    .byte   %00010000
    .byte   %01010111
    .byte   %11111101
    .byte   %11111101

    .byte   %01111111
    .byte   %01111111
    .byte   %01111111
    .byte   %01111111
    .byte   %01111111
    .byte   %01111111
    .byte   %11010101
    .byte   %00000000

    .byte   %11111101
    .byte   %11111101
    .byte   %11111101
    .byte   %11111101
    .byte   %11111101
    .byte   %11111101
    .byte   %01010111
    .byte   %00000000

bonus_phone
    .byte   %00000000
    .byte   %00000000
    .byte   %00001111
    .byte   %11111111
    .byte   %11110000
    .byte   %11110011
    .byte   %11110011
    .byte   %00001111

    .byte   %00000000
    .byte   %00000000
    .byte   %11110000
    .byte   %11111111
    .byte   %00001111
    .byte   %11001111
    .byte   %11001111
    .byte   %11110000

    .byte   %00001110
    .byte   %00111011
    .byte   %00111011
    .byte   %00111011
    .byte   %00111110
    .byte   %00111111
    .byte   %00001100
    .byte   %00000000

    .byte   %10110000
    .byte   %11101100
    .byte   %11101100
    .byte   %11101100
    .byte   %10111100
    .byte   %11111100
    .byte   %00110000
    .byte   %00000000

bonus_watch
    .byte   %00000000
    .byte   %00000000
    .byte   %00000101
    .byte   %00000101
    .byte   %00010000
    .byte   %00010000
    .byte   %01010000
    .byte   %01000010

    .byte   %00000000
    .byte   %00000000
    .byte   %01010000
    .byte   %01010000
    .byte   %00110100
    .byte   %00110100
    .byte   %11000110
    .byte   %10000010

    .byte   %01111110
    .byte   %01010000
    .byte   %00010000
    .byte   %00010000
    .byte   %00000101
    .byte   %00000101
    .byte   %00000000
    .byte   %00000000

    .byte   %10000010
    .byte   %00000110
    .byte   %00000100
    .byte   %00000100
    .byte   %01010000
    .byte   %01010000
    .byte   %00000000
    .byte   %00000000

bonus_camera
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000011
    .byte   %10001111
    .byte   %11111110
    .byte   %01011000
    .byte   %01011000

    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %11000000
    .byte   %11110000
    .byte   %10111111
    .byte   %00100101
    .byte   %00100101

    .byte   %01011000
    .byte   %01011000
    .byte   %01010110
    .byte   %11111111
    .byte   %11111111
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %00100101
    .byte   %00100101
    .byte   %10010101
    .byte   %11111111
    .byte   %11111111
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

bonus_glasses
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00001100
    .byte   %00110000
    .byte   %00110000
    .byte   %11000000
    .byte   %11010100

    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00110000
    .byte   %00001100
    .byte   %00001100
    .byte   %00000011
    .byte   %00010111

    .byte   %01010110
    .byte   %01010100
    .byte   %01010100
    .byte   %00010100
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %10010101
    .byte   %00010101
    .byte   %00010101
    .byte   %00010100
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

bonus_flashlight
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00110000
    .byte   %10111110
    .byte   %10111110

    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %01010000
    .byte   %10101011
    .byte   %10101011

    .byte   %10111110
    .byte   %10111101
    .byte   %00110000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %10101011
    .byte   %01010111
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

bonus_key
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %10001000
    .byte   %10001000
    .byte   %10101010
    .byte   %10101010

    .byte   %00000000
    .byte   %00000000
    .byte   %00001000
    .byte   %00001000
    .byte   %00100010
    .byte   %00100010
    .byte   %10100010
    .byte   %10100010
    
    .byte   %11111111
    .byte   %11111111
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

    .byte   %11110011
    .byte   %11110011
    .byte   %00001100
    .byte   %00001100
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000
    .byte   %00000000

bonus_heart
    .byte   %00000000
    .byte   %00000000
    .byte   %00111100
    .byte   %00111100
    .byte   %11111111
    .byte   %11111111
    .byte   %11111111
    .byte   %11111111

    .byte   %00000000
    .byte   %00000000
    .byte   %00111100
    .byte   %00111100
    .byte   %11111111
    .byte   %11111011
    .byte   %11111011
    .byte   %11101111

    .byte   %00111111
    .byte   %00111111
    .byte   %00001111
    .byte   %00001111
    .byte   %00000011
    .byte   %00000011
    .byte   %00000000
    .byte   %00000000

    .byte   %11101100
    .byte   %11111100
    .byte   %11110000
    .byte   %11110000
    .byte   %11000000
    .byte   %11000000
    .byte   %00000000
    .byte   %00000000

tileset_length equ tileset_end - tileset_start

